Stellaris

Stellaris

Not enough ratings
Repeatable Ascension Theory Technology
 
Rate  
Favorite
Favorited
Unfavorite
File Size
Posted
Updated
0.008 MB
Nov 21, 2017 @ 12:54pm
May 26 @ 10:02am
5 Change Notes ( view )
You need DLC to use this item.

Subscribe to download
Repeatable Ascension Theory Technology

Subscribed
Unsubscribe
Description
Exactly what it says on the box: infinitely repeatable ascension theory technology. Designed for use with any mod that increases the number of ascension perks available. When there are no more ascension perk slots left, don't feel obligated to keep researching it.

The repeatable ascension theory technology is only available after researching the first rare ascension theory perk, and is more expensive and less likely than other repeatable technologies (in line with the vanilla 'Ascension Theory' technology).

Features:
  • One infinitely repeatable technology that grants ascension perk slots

Compatibility:
This mod changes no base files; should be completely compatible with all mods until the end of time. This mod will work with existing save games as well as new games.

Versioning:
Works with 2.1.* release of Stellaris. Should be compatible with all versions of Stellaris, even if the version number is not updated, unless there is a radical change to the technology system.

Other Mods:
< >
20 Comments
RESPECT THE SHOVEL!  [author] Aug 21 @ 6:33pm 
@:)

The tech only increases the amount of ascenion perk slots unlocked, not the maximum amount that are unlockable.
Offensive Nickname Aug 21 @ 11:14am 
I have researched the repeatable ascension perk technology twice yet still only have 8 slots(I have completed all the tradition trees before then). Is this intended? Thanks for your help!
Exaxxion Jul 20 @ 3:49pm 
this is exactly what i was looking for five stars
The Erubian Warlord May 26 @ 10:10am 
sweet thanks dude
RESPECT THE SHOVEL!  [author] May 26 @ 10:08am 
@The Erubian Warlord

Works. =)
RESPECT THE SHOVEL!  [author] May 26 @ 10:03am 
@The Erubian Warlord

It should. Just incremented the version number, and testing.
The Erubian Warlord May 26 @ 9:18am 
does this work for Niven aka 2.1?
RESPECT THE SHOVEL!  [author] Apr 15 @ 1:26pm 
@mudkip

It should be backwards compatible, but I have not tested the current version. Might be supremely expensive in 1.8.3 though.
mudkip Apr 14 @ 5:52pm 
I'm still on 1.8.3. Is this backwards-compatible with that?
RESPECT THE SHOVEL!  [author] Mar 29 @ 7:32pm 
@Fortune

I do my best. =)